Bug 1478355 - Broken navigation tree in the datastore details screen
Broken navigation tree in the datastore details screen
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
All Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: Dávid Halász
Dmitry Misharov
ui:datastore
: TestOnly, ZStream
Depends On:
Blocks: 1480002
  Show dependency treegraph
 
Reported: 2017-08-04 08:17 EDT by Dmitry Misharov
Modified: 2018-03-06 09:42 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1480002 (view as bug list)
Environment:
Last Closed: 2018-03-06 09:42:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the bug (93.85 KB, image/png)
2017-08-04 08:17 EDT, Dmitry Misharov
no flags Details

  None (edit)
Description Dmitry Misharov 2017-08-04 08:17:03 EDT
Created attachment 1309033 [details]
Screenshot of the bug

Description of problem:


Version-Release number of selected component (if applicable):
5.8.1.5.20170725160636_e433fc0 

How reproducible:
Always

Steps to Reproduce:
1. Add a provider with datastores.
2. Navigate to details screen of the provider and click on Datastores
3. Click on any datastore.

Actual results:
Navigation tree in Datastores accordion is broken. There are no any filters and datastores. 

Expected results:
Navigation tree should work.

Additional info:
A clean session might be required for reproducing.
Comment 7 CFME Bot 2017-08-09 09:18:45 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/48fd58e743f623b6da4141bac1b70844aa41d994

commit 48fd58e743f623b6da4141bac1b70844aa41d994
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Fri Aug 4 11:18:10 2017 +0200
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Mon Aug 7 11:06:33 2017 +0200

    Reverse-merge tree params if the tree is already in the sandbox
    
    If the tree was already in the sandbox, the updated params were
    simply ignored. This causes issues when loading an explorer screen
    with a tree. The reverse-merging doesn't change the already set
    values for a tree, just adds the new ones that will fix the issue.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478355

 app/presenters/tree_state.rb                             | 2 +-
 spec/controllers/application_controller/explorer_spec.rb | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 9 Dmitry Misharov 2017-10-18 03:39:42 EDT
Verified in 5.9.0.2.20171010190026_0413a06. Navigation tree works as expected in the datastores tab.

Note You need to log in before you can comment on or make changes to this bug.